function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import classNames from 'classnames';
import React from 'react';
import { convertPx } from '../../utils/convert-px';
import { withDefaultProps } from '../../utils/with-default-props';
var classPrefix = "am-badge";
var Badge = withDefaultProps({
  color: '#FF411C',
  offest: [0, 0]
})(function (props) {
  var _classNames;

  var content = props.content,
      color = props.color,
      offest = props.offest,
      children = props.children;
  var badgeStyle = children ? {
    marginTop: convertPx(offest[0]) + "px",
    right: -convertPx(offest[1]) + "px",
    backgroundColor: color
  } : {
    backgroundColor: color
  };
  var badgeCls = classNames(classPrefix, (_classNames = {}, _classNames[classPrefix + "-fixed"] = !!children, _classNames[classPrefix + "-dot"] = !content, _classNames));
  return children ? /*#__PURE__*/React.createElement("div", {
    className: classNames(classPrefix + "-wrap", props.className),
    style: props.style
  }, children, /*#__PURE__*/React.createElement("div", {
    className: badgeCls,
    style: badgeStyle
  }, content)) : /*#__PURE__*/React.createElement("div", {
    className: classNames(badgeCls, props.className),
    style: _extends({}, badgeStyle, props.style)
  }, content);
});
export default Badge;